Package org.drinkless.tdlib

# Class TdApi.ReportChatSponsoredMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ReportChatSponsoredMessageResult>
org.drinkless.tdlib.TdApi.ReportChatSponsoredMessage

Enclosing class:
  TdApi

public static class TdApi.ReportChatSponsoredMessage extends TdApi.Function<TdApi.ReportChatSponsoredMessageResult>
Reports a sponsored message to Telegram moderators.

Returns `ReportChatSponsoredMessageResult`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier of the sponsored message.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  Identifier of the sponsored message.
  `byte[]`
  `optionId`
  Option identifier chosen by the user; leave empty for the initial request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportChatSponsoredMessage()`
  Default constructor for a function, which reports a sponsored message to Telegram moderators.
  `ReportChatSponsoredMessage(long chatId, long messageId, byte[] optionId)`
  Creates a function, which reports a sponsored message to Telegram moderators.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier of the sponsored message.

  - ### messageId

    public long messageId
    Identifier of the sponsored message.

  - ### optionId

    public byte[] optionId
    Option identifier chosen by the user; leave empty for the initial request.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReportChatSponsoredMessage

    public ReportChatSponsoredMessage()
    Default constructor for a function, which reports a sponsored message to Telegram moderators.

    Returns `ReportChatSponsoredMessageResult`

  - ### ReportChatSponsoredMessage

    public ReportChatSponsoredMessage(long chatId, long messageId, byte[] optionId)
    Creates a function, which reports a sponsored message to Telegram moderators.

    Returns `ReportChatSponsoredMessageResult`

    Parameters:
      `chatId` - Chat identifier of the sponsored message.
      `messageId` - Identifier of the sponsored message.
      `optionId` - Option identifier chosen by the user; leave empty for the initial request.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ReportChatSponsoredMessageResult>`
    Returns:
      this.CONSTRUCTOR